Subject: Re: bug#77709: Restoring the Hurd on core-packages-team branch

From: [email-masked]
Date: Sat, 17 May 2025 20:23:47 +0200 (CEST)

Hi Ludo,

Apr 28, 2025, 14:28 by [email-masked]:

>
>
>> Actually, on ‘core-packages-team’, we should merge ‘glibc’ and
>> ‘glibc/hurd’ since they only differ by Hurd-specific patches.
>>
>
> That would be great but I would love to have the bison issue fully solved before to not cause inconveniences for the linux builds. I have not yet looked into this though.
>
>> Thanks,
>> Ludo’.
>>

I sent the series which fixes all the major regressions for the 32bit hurd earlier today (#78471). All the things that are broken now are also currently broken on master. (i'll need to recheck with the final patches, currently waiting on expensive/flaky tests but with earlier versions I had no other problems)

So once these (or rather the glibc/hurd patch) are reviewed the glibcs can be merged again.